menu
#3241786 Cannot declare class SkyLightMCPE\Wild, because the name is already in use

Submitted by PocketMine-MP 3.9.0

General information

Version: 3.9.0
Git commit: bd69c66d
Plugin involvement: Direct
Report date: 2019-12-02 03:39:57 +0000 UTC

System Information

PHP version: 7.2.12
Operating system: linux
System banner: Linux sd-us1 3.10.0-1062.1.1.el7.x86_64 #1 SMP Fri Sep 13 22:55:44 UTC 2019 x86_64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Cannot declare class SkyLightMCPE\Wild, because the name is already in use
File: plugins/Wild.phar/src/SkyLightMCPE/Main
Line: #15
Error level: E_COMPILE_ERROR
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
use pocketmine\command\Command;
use pocketmine\command\CommandSender;
use pocketmine\event\entity\EntityDamageEvent;
use pocketmine\event\Listener;
use pocketmine\level\Position;
use pocketmine\Player;
use pocketmine\plugin\PluginBase;
use pocketmine\utils\TextFormat;

class Wild extends PluginBase implements Listener{

private const VERSION = "1.2";
private const PREFIX = TextFormat::AQUA . "Wild" . TextFormat::GOLD . " > ";

/** @var array $isInWild */
private $isInWild = [];

public function onEnable() : void{
$this->getServer()->getPluginManager()->registerEvents($this, $this);
$this->getLogger()->info("Wild 1.2 " . self::VERSION . " by SamyR0 has been enabled");

Loaded Plugins

  • Show

Server Settings

  • Show